Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# ACE_RMCast::Acknowledge Class Reference

`#include <Acknowledge.h>`

Inheritance diagram for ACE_RMCast::Acknowledge:

[legend]
Collaboration diagram for ACE_RMCast::Acknowledge:

[legend]
List of all members.

## Public Member Functions
| Acknowledge (Parameters const &params)
virtual void | in_start (In_Element *in)
virtual void | out_start (Out_Element *out)
virtual void | out_stop ()
virtual void | recv (Message_ptr m)
virtual void | send (Message_ptr m)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< Address, Queue, AddressHasher, ACE_Equal_To< Address >, ACE_Null_Mutex > | Map
## Private Member Functions
void | collapse (Queue &q)
void | track ()
void | track_queue (Address const &addr, Queue &q, Messages &msgs)
Profile_ptr | create_nrtm (u32 max_elem)
## Static Private Member Functions
ACE_THR_FUNC_RETURN | track_thunk (void *obj)
## Private Attributes
Parameters const & | params_
Map | hold_
Mutex | mutex_
Condition | cond_
unsigned long | nrtm_timer_
bool | stop_
ACE_Thread_Manager | tracker_mgr_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<Address, Queue, AddressHasher, ACE_Equal_To<Address>, ACE_Null_Mutex> ACE_RMCast::Acknowledge::Map`[private]`

## Constructor & Destructor Documentation

ACE_RMCast::Acknowledge::Acknowledge | ( | Parameters const & | params | ) |

## Member Function Documentation

void ACE_RMCast::Acknowledge::collapse | ( | Queue & | q | ) | `[private]`

Profile_ptr ACE_RMCast::Acknowledge::create_nrtm | ( | u32 | max_elem | ) | `[private]`

void ACE_RMCast::Acknowledge::in_start | ( | In_Element * | in | ) | `[virtual]`

| Reimplemented from ACE_RMCast::In_Element.

void ACE_RMCast::Acknowledge::out_start | ( | Out_Element * | out | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Acknowledge::out_stop | ( |  | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Acknowledge::recv | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::In_Element.

void ACE_RMCast::Acknowledge::send | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::Out_Element.

void ACE_RMCast::Acknowledge::track | ( |  | ) | `[private]`

void ACE_RMCast::Acknowledge::track_queue | ( | Address const & | addr,
|  | Queue & | q,
|  | Messages & | msgs
| ) | `[private]`

ACE_THR_FUNC_RETURN ACE_RMCast::Acknowledge::track_thunk | ( | void * | obj | ) | `[static, private]`

## Member Data Documentation

Condition ACE_RMCast::Acknowledge::cond_`[private]`

Map ACE_RMCast::Acknowledge::hold_`[private]`

Mutex ACE_RMCast::Acknowledge::mutex_`[private]`

unsigned long ACE_RMCast::Acknowledge::nrtm_timer_`[private]`

Parameters const& ACE_RMCast::Acknowledge::params_`[private]`

bool ACE_RMCast::Acknowledge::stop_`[private]`

ACE_Thread_Manager ACE_RMCast::Acknowledge::tracker_mgr_`[private]`

The documentation for this class was generated from the following files:

- Acknowledge.h
- Acknowledge.cpp